सामग्री पर जाएँ

Wan 3.0 Prime · Reference to Video

इंटीग्रेट करें

मॉडल id alibaba/wan-3.0-prime/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/wan-3.0-prime/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $1.40 1,400 API क्रेडिट इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Alibaba रेफ़रेंस से वीडियो रेफ़रेंस इनपुट2–30 s1080p तक #reference#video

अधिकतम 10 इमेज, 5 क्लिप और 5 ऑडियो फ़ाइलों का मल्टीमॉडल संदर्भ-टू-वीडियो, 2-30 सेकंड

Doitong पर बनाया गया

Doitong समुदाय द्वारा Wan 3.0 Prime से बनाए गए सार्वजनिक कार्य। एक क्लिक में प्रॉम्प्ट का पुनः उपयोग करें।

दिखाए गए सार्वजनिक कार्य: 5
Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a... वीडियो

Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video must feel like a real spontaneous phone...

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone vide... वीडियो

**SORA 2 PROMPT — 20 seconds, vertical 9:16** Create a highly realistic UGC-style smartphone video inside a modern commercial airplane during a daytime flight. Natural cabin lighting, subtle handheld camera movement, authentic airplane ambience, realistic passengers and natural acting. The video...

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with na... वीडियो

Create a realistic cinematic 20-second video, filmed like a high-budget modern commercial with natural acting, realistic lighting and believable facial expressions. All dialogue is spoken naturally in French. **SCENE 1 — EXPENSIVE RESTAURANT, EVENING — 0–5 sec** A young man in his late 20s is...

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scen... वीडियो

Create a realistic cinematic UGC-style commercial video, exactly 30 seconds long. The entire scene takes place inside a modern passenger airplane during a daytime flight. Natural smartphone-like cinematography, realistic airplane cabin, authentic passengers, natural lighting, realistic skin...

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, c... वीडियो

TITLE: Santa's Secret Christmas Selfie with Dasha 🎄 VIDEO FORMAT: 15–20 seconds, vertical 9:16, cinematic Christmas short film, high-quality realistic 3D animation. REFERENCE IMAGE — DASHA_001 Use the uploaded image as the exact character reference for Dasha. Preserve her recognizable face,...

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

88 / 20000

वर्णन करें कि संदर्भ मीडिया को कैसे शामिल करना है और प्रॉम्प्ट में प्रत्येक संदर्भ की स्थिति बताएं। उदाहरण के लिए: 'Image 1 में मौजूद subject, Video 1 के पास से चलता है'।

resolution डिफ़ॉल्ट 1080p

परिणामी वीडियो का रिज़ॉल्यूशन स्तर।

aspect_ratio डिफ़ॉल्ट adaptive

आउटपुट का आस्पेक्ट रेशियो, जिसमें अनुकूली चयन उपलब्ध है।

डिफ़ॉल्ट 5

आउटपुट की लंबाई: null प्रॉम्प्ट और संदर्भ मीडिया के आधार पर स्मार्ट अवधि सक्षम करता है; अन्यथा, दिया गया मान सेकंड निर्दिष्ट करता है।

उन्नत images · reference_video_urls · reference_audio_urls · file_url · web_url · seed · audio · enable_prompt_expansion · enable_thinking · enable_safety_checker
reference_image_urls
फ़ाइल ड्रॉप करें, या · 10 तक

संदर्भ इमेज के URL, अधिकतम 10।

फ़ाइल ड्रॉप करें, या · 5 तक

16 fps या उससे अधिक पर चलने वाली संदर्भ क्लिप के URL दें। सेट में अधिकतम 5 वीडियो हो सकते हैं और कुल फ़ुटेज 15 सेकंड से अधिक नहीं होना चाहिए।

फ़ाइल ड्रॉप करें, या · 5 तक

संदर्भ ऑडियो के URL, अधिकतम 5 और संयुक्त अवधि 15 सेकंड से अधिक नहीं।

फ़ाइल ड्रॉप करें, या

वीडियो के आधार के रूप में उपयोग किए गए दस्तावेज़ का URL। enable_thinking का मान true होना आवश्यक है।

वीडियो के आधार के रूप में उपयोग किया गया वेबपेज URL, जिसे केवल बिना लॉगिन के पढ़ा जा सकता है और केवल enable_thinking=true के साथ।

POST /run/alibaba/wan-3.0-prime/reference-to-video?wait=20 कोटेशन → $1.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/alibaba/wan-3.0-prime/reference-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Wan 3.0 Prime · Reference to Video के बारे में

संदर्भ इमेज (अधिकतम 10), वीडियो (अधिकतम 5, कुल 15 सेकंड) और ऑडियो (अधिकतम 5, कुल 15 सेकंड) से वीडियो बनाता है, जिन्हें अधिकतम 20,000 वर्णों वाले `prompt` में क्रम के अनुसार संदर्भित किया जाता है। अवधि 2-30 सेकंड या स्मार्ट लंबाई है, रिज़ॉल्यूशन 480p, 720p या 1080p, और आस्पेक्ट रेशियो अनुकूली हो सकता है। `file_url` और `web_url` स्रोतों के लिए `enable_thinking` आवश्यक है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptवैकल्पिक
प्रकारstring | null
≤ 20,000 अक्षर
वर्णन करें कि संदर्भ मीडिया को कैसे शामिल करना है और प्रॉम्प्ट में प्रत्येक संदर्भ की स्थिति बताएं। उदाहरण के लिए: 'Image 1 में मौजूद subject, Video 1 के पास से चलता है'।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट1080p
480p720p1080p
परिणामी वीडियो का रिज़ॉल्यूशन स्तर।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्टadaptive
adaptive16:94:31:13:49:16
आउटपुट का आस्पेक्ट रेशियो, जिसमें अनुकूली चयन उपलब्ध है।
durationवैकल्पिक
प्रकारinteger | null
डिफ़ॉल्ट5
2 – 30
आउटपुट की लंबाई: null प्रॉम्प्ट और संदर्भ मीडिया के आधार पर स्मार्ट अवधि सक्षम करता है; अन्यथा, दिया गया मान सेकंड निर्दिष्ट करता है।
audioवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि निर्मित ऑडियो शामिल किया जाए या नहीं।
enable_prompt_expansionवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करें कि निर्माण से पहले प्रॉम्प्ट को बुद्धिमानी से फिर से लिखा जाए या नहीं। री-राइटिंग अक्षम करने पर गुणवत्ता में संभावित कमी की अपेक्षा करें, जिसके बदले लगभग 20–60 सेकंड कम विलंबता मिलेगी।
enable_thinkingवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
निर्माण शुरू होने से पहले अतिरिक्त रीजनिंग सक्षम करता है।
seedवैकल्पिक
प्रकारinteger | null
0 – 2,14,74,83,647
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
इनपुट और आउटपुट दोनों का मॉडरेशन; प्रत्येक अनुरोध पर लागू होता है, जब तक खाता इसे अक्षम करने के लिए अधिकृत न हो और विकल्प बंद न किया गया हो।
reference_image_urlsवैकल्पिक images
प्रकारurl[] · image
≤ 10 आइटम
संदर्भ इमेज के URL, अधिकतम 10।
reference_video_urlsवैकल्पिक
प्रकारurl[] · video
≤ 5 आइटम
16 fps या उससे अधिक पर चलने वाली संदर्भ क्लिप के URL दें। सेट में अधिकतम 5 वीडियो हो सकते हैं और कुल फ़ुटेज 15 सेकंड से अधिक नहीं होना चाहिए।
reference_audio_urlsवैकल्पिक
प्रकारurl[] · audio
≤ 5 आइटम
संदर्भ ऑडियो के URL, अधिकतम 5 और संयुक्त अवधि 15 सेकंड से अधिक नहीं।
file_urlवैकल्पिक
प्रकारurl · file
वीडियो के आधार के रूप में उपयोग किए गए दस्तावेज़ का URL। enable_thinking का मान true होना आवश्यक है।
web_urlवैकल्पिक
प्रकारstring | null
वीडियो के आधार के रूप में उपयोग किया गया वेबपेज URL, जिसे केवल बिना लॉगिन के पढ़ा जा सकता है और केवल enable_thinking=true के साथ।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "alibaba/wan-3.0-prime/reference-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1400,
    "usd": "1.40",
    "charged": 1400,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    },
    "seed": 42,
    "duration": 5,
    "actual_prompt": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}निर्माण से तैयार की गई वीडियो फ़ाइल।
seed
integerनिर्माण के दौरान लागू किया गया सीड मान।
duration
numberनिर्मित वीडियो की लंबाई, सेकंड में मापी गई।
actual_prompt
string | null

और मॉडल: रेफ़रेंस से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/alibaba/wan-3.0-prime/reference-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt